import { type Base, genBase } from './_base'
import { type Installation } from '~/models/installation'
export interface Unit extends Base {
  code: string
  name: string
  installation_id?: number | string | null

  installation?: Installation | null
}

export function genUnit(): Unit {
  return {
    ...genBase(),
    code: '',
    name: '',
    installation_id: 0,
  }
}
